Bug 197460 - libgtk-java package errantly "provides" perl modules
libgtk-java package errantly "provides" perl modules
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: libgtk-java (Show other bugs)
5
All Linux
medium Severity medium
: ---
: ---
Assigned To: Stepan Kasal
:
Depends On: 202210
Blocks:
  Show dependency treegraph
 
Reported: 2006-07-02 01:39 EDT by Chris Weyl
Modified: 2007-11-30 17:11 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-08-13 15:56:55 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Chris Weyl 2006-07-02 01:39:34 EDT
Description of problem:
This package tells rpm it provides a number of perl modules -- as near as I can
tell, it doesn't actually do that :)


Version-Release number of selected component (if applicable):
Latest FC5 errata (see below)


How reproducible:
Query the rpm database for a list of provides.


Steps to Reproduce:
1.  rpmquery --provides libgtk-java-2.8.5-0.FC5

  
Actual results:
[cweyl@zeus ~]$ rpmquery --provides libgtk-java-2.8.5-0.FC5
libgtkjava-2.8.so()(64bit)
libgtkjni-2.8.so()(64bit)
perl(TestTree)
perl(aboutdialog)
perl(alignment)
perl(application)
perl(aspectframe)
perl(base)
perl(buttonbox)
perl(buttons)
perl(calendar)
perl(checkbutton)
perl(combobox)
perl(dataTable)
perl(draganddrop)
perl(drawingAreaTest)
perl(editor)
perl(entry)
perl(entrycompletion)
perl(filechooser)
perl(fileselector)
perl(fixed)
perl(frame)
perl(image)
perl(invisible)
perl(memorymgt)
perl(notebook)
perl(packbox)
perl(paned)
perl(progressbar)
perl(radiobuttons)
perl(rangewidgets)
perl(scale)
perl(scrolledwin)
perl(spinbutton)
perl(statusbar)
perl(stockicons)
perl(table)
perl(testgtk)
perl(text)
perl(textbuffer)
perl(tree)
perl(treestore)
perl(uimanager)
libgtk-java = 2.8.5-0.FC5


Expected results:
Same, minus the perl(*)
Comment 1 Stepan Kasal 2006-08-11 12:17:23 EDT
Thanks for the report.

Actually, this is a bug in rpm-build, in the script which automatically
generates the list of provided modules.  Filed as bug #202210; as soon as it is
fixed, a rebuild of libgtk-java should fix the problem.
Comment 2 Paul Howarth 2006-08-11 12:27:13 EDT
It may be some time before the rpm bug is fixed. This sort of problem crops up
quite often for perl packages, for which there are some workarounds described here:

http://fedoraproject.org/wiki/Packaging/Perl

In fact a simple:

%define __perl_provides %{nil}

might be sufficient in this particular instance.
Comment 3 Paul Nasrat 2006-08-11 13:41:04 EDT
Don't install the examples as +x, they shouldn't have been installed as anything
other than 644 as +x makes no sense for .java files.
Comment 4 Stepan Kasal 2006-08-13 15:56:55 EDT
(In reply to comment #3)
> Don't install the examples as +x,

They are not installed with +x.

(In reply to comment #2)
> %define __perl_provides %{nil}

Indeed, I'm using this workaround until bug #202210 is fixed.
Thank you for the advice.

Note You need to log in before you can comment on or make changes to this bug.